org.richfaces.ui.input.autocomplete

## Class AutocompleteHandler.MethodBindingWrapper

- java.lang.Object
- - javax.faces.el.MethodBinding
  - - org.richfaces.ui.input.autocomplete.AutocompleteHandler.MethodBindingWrapper

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    AutocompleteHandler

      public static final class AutocompleteHandler.MethodBindingWrapper
      extends javax.faces.el.MethodBinding
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutocompleteHandler.MethodBindingWrapper(javax.el.MethodExpression m)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExpressionString()`
    `Class` | `getType(javax.faces.context.FacesContext context)`
    `Object` | `invoke(javax.faces.context.FacesContext context, Object[] params)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutocompleteHandler.MethodBindingWrapper

          public AutocompleteHandler.MethodBindingWrapper(javax.el.MethodExpression m)

  - ### Method Detail

    - #### getType

          public Class getType(javax.faces.context.FacesContext context)
                        throws javax.faces.el.MethodNotFoundException

      Specified by:
        `getType` in class `javax.faces.el.MethodBinding`
      Throws:
        `javax.faces.el.MethodNotFoundException`

    - #### invoke

          public Object invoke(javax.faces.context.FacesContext context,
                      Object[] params)
                        throws javax.faces.el.EvaluationException,
                               javax.faces.el.MethodNotFoundException

      Specified by:
        `invoke` in class `javax.faces.el.MethodBinding`
      Throws:
        `javax.faces.el.EvaluationException`
        `javax.faces.el.MethodNotFoundException`

    - #### getExpressionString

          public String getExpressionString()

      Overrides:
        `getExpressionString` in class `javax.faces.el.MethodBinding`

Copyright © 2014 JBoss by Red Hat. All rights reserved.